/* ==== NAV ==== */

.NavbarItems {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--font-color);
    height: 70px;
    font-size: 1.2rem;
    position: fixed;
    width: 100%;
    padding-right: 10px;
    z-index: 1;
}

.NavbarItems.sticky{
    box-shadow: var(--box-shadow)
}

.theme-switch {
    background-color: var(--font-color);
    align-items: center;
    display: flex;
    justify-content: center;
    padding: 20px;
    color: var(--text-color);
    cursor: pointer;
}

.theme-switch .rmx-icon {
    height: 20px;
    width: 20px
}

.NavbarItems .brand{
    background-color: transparent;
    display: flex;
    flex-direction: column;
    padding: 5px 10px;
    margin-left: 6px;
    position: relative;
    height: 90%;
    justify-content: center;
}

.NavbarItems .brand h1{
    font-size: 17px;
    color: #464646;
    text-transform: uppercase;
    font-weight: 500;
}

.NavbarItems .brand small{
    font-size: 12px;
    color: #464646;
    font-weight: 300;
    position: absolute;
    right: 10px;
    bottom: 5px;
}

.nav-menu{
    display: flex;
    justify-content: center;
    list-style: none;
    text-align: center;
    height: 100%;
}

.nav-menu li{
    display: flex;
    align-items: center;
}

.menu-icon{
    display: none;
    color: var(--text-color);
}

.nav-links{
    color: var(--text-color);
    text-decoration: none;
    padding: 7px 20px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.01rem;
    font-size: 14px;
    -webkit-tap-highlight-color: transparent;
    height: 100%;
    display: flex;
    align-items: center;
}

.nav-links.home{
    background-color: #464646;
    opacity: 0.7;
    color: #F5F5F5;
}

.nav-links:hover{
    transition: 1s ease;
}

@media screen and (max-width : 960px){

    .NavbarItems.active{
        background-color: var(--font-color);
    }
    .nav-menu{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: calc(100vh - 70px);
        position: absolute;
        top: 69px;
        left: -100%;
        opacity: 1;
        z-index: 1;
        padding-bottom: 69px
    }
    .nav-menu.active{
        background-color: var(--font-color);
        justify-content: center;
        left: 0;
        opacity: 1;
    }
    .nav-links{
        text-align: center;
        padding: 1.5rem;
        width: 100%;
        display: table;
        font-size: 14px;
        border: none;
    }

    .menu-icon{
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        transform: translate(-100%,80%);
        font-size: 1.5rem;
        cursor: pointer;
    }

}
